curl -X POST "https://staging-api.loyalty.lt/en/shop/coupons/verify" \
-H "X-API-Key: your_api_key" \
-H "X-API-Secret: your_api_secret" \
-H "Content-Type: application/json" \
-d '{
"coupon_code": "K1234567890",
"shop_id": 1
}'
{
"success": true,
"message": "Coupon verified successfully",
"data": {
"coupon": {
"id": 123,
"code": "K1234567890",
"status": "active",
"expiry_time": "2025-01-31T23:59:59Z",
"is_pending": false,
"pending_shop_id": null,
"offer": {
"id": 456,
"title": "Free Coffee",
"description": "Get a free coffee with your stamp card",
"discount_type": "game_reward",
"reward_type": "free_product",
"reward_details": "Free medium coffee"
}
},
"user": {
"id": 789,
"name": "Jonas Jonaitis",
"email": "jonas@example.com",
"phone": "+37060000000",
"default_card_id": 456,
"points_balance": 150
},
"card": {
"id": 456,
"card_number": "123-456-789",
"user_id": 789,
"points_balance": 150
},
"points_rules": {
"points_enabled": true,
"points_redemption_enabled": true,
"points_per_euro": 1,
"euro_per_point": 0.01
},
"games_count": 3,
"coupons_count": 2
}
}
Coupons
Verify Coupon
Verify a coupon by scanning its code (Partner API)
POST
/
{locale}
/
shop
/
coupons
/
verify
curl -X POST "https://staging-api.loyalty.lt/en/shop/coupons/verify" \
-H "X-API-Key: your_api_key" \
-H "X-API-Secret: your_api_secret" \
-H "Content-Type: application/json" \
-d '{
"coupon_code": "K1234567890",
"shop_id": 1
}'
{
"success": true,
"message": "Coupon verified successfully",
"data": {
"coupon": {
"id": 123,
"code": "K1234567890",
"status": "active",
"expiry_time": "2025-01-31T23:59:59Z",
"is_pending": false,
"pending_shop_id": null,
"offer": {
"id": 456,
"title": "Free Coffee",
"description": "Get a free coffee with your stamp card",
"discount_type": "game_reward",
"reward_type": "free_product",
"reward_details": "Free medium coffee"
}
},
"user": {
"id": 789,
"name": "Jonas Jonaitis",
"email": "jonas@example.com",
"phone": "+37060000000",
"default_card_id": 456,
"points_balance": 150
},
"card": {
"id": 456,
"card_number": "123-456-789",
"user_id": 789,
"points_balance": 150
},
"points_rules": {
"points_enabled": true,
"points_redemption_enabled": true,
"points_per_euro": 1,
"euro_per_point": 0.01
},
"games_count": 3,
"coupons_count": 2
}
}
Verify Coupon
Verify a coupon by scanning its code or QR code. This endpoint is used by POS systems to validate coupons before redemption.This endpoint uses Partner API authentication (X-API-Key and X-API-Secret headers).
Request Body
The coupon code or QR code scanned from the customer’s app
The ID of the shop where the coupon is being verified
Response
Indicates if the coupon was successfully verified
Show data
Show data
Show coupon
Show coupon
Coupon unique identifier
Coupon code
Coupon status: active, pending, used, expired
ISO 8601 expiration timestamp
Whether coupon is currently pending at a shop
Shop ID where coupon is pending (if applicable)
Offer or game reward details
Coupon owner details (id, name, email, phone, points_balance)
User’s loyalty card details (id, card_number, points_balance)
Partner’s points earning/redemption rules
Number of active games for this partner
Number of active coupons for this user
Game details if this is a game-based coupon
curl -X POST "https://staging-api.loyalty.lt/en/shop/coupons/verify" \
-H "X-API-Key: your_api_key" \
-H "X-API-Secret: your_api_secret" \
-H "Content-Type: application/json" \
-d '{
"coupon_code": "K1234567890",
"shop_id": 1
}'
{
"success": true,
"message": "Coupon verified successfully",
"data": {
"coupon": {
"id": 123,
"code": "K1234567890",
"status": "active",
"expiry_time": "2025-01-31T23:59:59Z",
"is_pending": false,
"pending_shop_id": null,
"offer": {
"id": 456,
"title": "Free Coffee",
"description": "Get a free coffee with your stamp card",
"discount_type": "game_reward",
"reward_type": "free_product",
"reward_details": "Free medium coffee"
}
},
"user": {
"id": 789,
"name": "Jonas Jonaitis",
"email": "jonas@example.com",
"phone": "+37060000000",
"default_card_id": 456,
"points_balance": 150
},
"card": {
"id": 456,
"card_number": "123-456-789",
"user_id": 789,
"points_balance": 150
},
"points_rules": {
"points_enabled": true,
"points_redemption_enabled": true,
"points_per_euro": 1,
"euro_per_point": 0.01
},
"games_count": 3,
"coupons_count": 2
}
}
Related Endpoints
Redeem Coupon
Redeem the verified coupon
Get Card Coupons
Get all coupons for a customer
⌘I